Subject: Re: [PATCH 2/4] panic: Allow taint flag for warnings to be changed from TAINT_WARN

From: Andrew Morton <[email-masked]>
Date: Mon, 22 Mar 2010 22:47:33 -0400

On Sat, 20 Mar 2010 23:05:40 +0000 Ben Hutchings <[email-masked]> wrote:

> WARN() is used in some places to report firmware or hardware bugs that
> are then worked-around.  These bugs do not affect the stability of the
> kernel and should not set the usual TAINT_WARN flag.  To allow for
> this, add WARN_TAINT() and WARN_TAINT_ONCE() macros that take a taint
> flag as argument.
> 
> Architectures that implement warnings using trap instructions instead
> of calls to warn_slowpath_*() must now implement __WARN_TAINT(taint)
> instead of __WARN().

When you say they "must now implement", I assume that you mean that
they _do_ now implement, and that no additional architecture work is
needed.

> The architecture-specific changes here are untested and need to be
> reviewed by architecture maintainers.

That would be nice.